%define upname		xf86-video-nouveau
%define snapshot	%nil

%if 0%{snapshot}
%define release %mkrel 1.%{snapshot}.%{rel}
%else
%define release %mkrel 2
%endif

Summary:	Accelerated open source driver for NVIDIA cards
Name:		x11-driver-video-nouveau
Version:	1.0.15
Release:	1
Group:		System/X11
License:	MIT
URL:		http://nouveau.freedesktop.org/
%if 0%{snapshot}
Source0:	%{upname}-%{snapshot}.tar.xz
%else
Source0:	http://xorg.freedesktop.org/releases/individual/driver/%{upname}-%{version}.tar.xz
%endif

BuildRequires: libdrm-devel
BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel 
BuildRequires: x11-util-macros 
BuildRequires: GL-devel
BuildRequires: udev-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%prep
%if 0%{snapshot}
%setup -q -n %{upname}-%{snapshot}
%else
%setup -q -n %{upname}-%{version}
%endif
%apply_patches
grep -q %{version} configure.ac

%build
%if 0%{snapshot}
autoreconf -v --install
%endif
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/nouveau_drv.la
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*


%changelog
* Wed Nov 01 2017 bb2 <bb2> - 1.0.15-1
- new version

* Sun Mar 26 2017 bb2 <bb2> - 1.0.14-2pclos2017
- rebuild new xorg

* Wed Mar 22 2017 bb2 <bb2> - 1.0.14-1pclos2017
- new version
